module.exports = {
    "parserOptions": {
        "ecmaVersion": 2017,
        "sourceType": "module",
    },
    "env": {
        "node": true,
        "commonjs": true,
        "es6": true,
        "jest/globals": true
    },
    "plugins": [ "jest" ],
    "extends": [ "plugin:jest/recommended" ],
    "rules": {
        "array-bracket-spacing": [ "error", "always" ],
        "brace-style": [ "error", "stroustrup" ],
        "block-spacing": [ "error", "always" ],
        "comma-dangle": [ "error", "never" ],
        "curly": [ "error", "all" ],
        "dot-location": [ "error", "object" ],
        "eqeqeq": [ "error", "smart" ],
        "func-call-spacing": [ "error", "never" ],
        "id-length": [ "error", { "min": 1 } ],
        "indent": [ "error", 2 ],
        "keyword-spacing": [ "error", { "after": true } ],
        "max-len": [ "error", { "code": 80, "ignoreRegExpLiterals": true } ],
        "newline-per-chained-call": [ "error", { "ignoreChainWithDepth": 1 } ],
        "no-console": [ "error", { "allow": [ "warn", "error", "info" ] } ],
        "no-constant-condition": [ "error", { "checkLoops": false } ],
        "no-multi-spaces": "error",
        "object-curly-newline": [ "error", { "multiline": true } ],
        "object-curly-spacing": [ "error", "always" ],
        "one-var": [ "error", "never" ],
        "quotes": [ "error", "single", { "avoidEscape": true } ],
        "semi": [ "error", "always" ],
        "semi-spacing": [ "error", { "before": false, "after": true } ],
        "space-infix-ops": [ "error", { "int32Hint": false } ],
        "space-in-parens": [ "error", "always" ],
        "space-before-blocks": [ "error", "always" ],
        "space-before-function-paren": [ "error", "never" ]
    },
    "globals": {
        "ActiveXObject": true,
        "XDomainRequest": true
    }
};