function toBoolean( value ) {
  if ( !value ) {
    return false;
  }

  if ( typeof value === 'boolean' ) {
    return value;
  }

  if ( typeof value !== 'string' ) {
    value = value.toString();
  }

  try {
    switch ( value.toLowerCase() ) {
    case 'true':
    case 'yes':
    case '1':
      return true;
    case 'false':
    case 'no':
    case '0':
    case null:
    case undefined:
      return false;
    default:
      return Boolean( value );
    }
  }
  catch ( e ) {
    return false;
  }
}

export { toBoolean };
