import { module } from '../../unimatrix';

module( 'Unimatrix' ).
  service(
    'Environment',
    [
      'Unimatrix/URI',
      function( URI ) {
        var getMetaContentByName = function( name ) {
          var node = document.querySelector( "meta[name='" + name + "']" );
          return node ? node.getAttribute( 'content' ) : null;
        };

        var environment = {};

        var environmentMethods = {
          contentFor: function( thing ) {
            var name = 'com.boxxspring.' + thing;
            return environment[ name ] ||
                   ( environment[ name ] = getMetaContentByName( name ) );
          },
          urlFor: function( thing ) {
            return environmentMethods.contentFor( thing + '.url' );
          },
          uriFor: function( thing ) {
            var url = environmentMethods.urlFor( thing );
            if ( url ) {
              return URI( url );
            }
            else {
              return null;
            }
          }
        };

        return environmentMethods;
      }
    ]
  );
