import { module } from '../../unimatrix';
import { merge, getValue } from '../../functions/object';
import { noop } from '../../functions/function';

module( 'Unimatrix' ).
  service(
    'Language',
    [
      'Unimatrix/Http',
      function( Http ) {

        var language = navigator.browserLanguage || navigator.language;
        language = language.split( '-' )[0];

        var languageText = {};

        function load( languageUrl ) {
          languageUrl = languageUrl.replace(
            /[{][\s]*language[\s]*[}]/ig, language
          );
          return Http.get( languageUrl ).
            then( function( result ) {
              if ( result.status >= 200 && result.status < 300 ) {
                var text = {};
                try {
                  text = JSON.parse( result.body );
                }
                catch ( exception ) {
                  noop();
                }
                languageText = merge( languageText, text );
              }
            } );
        }

        function text( path, defaultText ) {
          return getValue( languageText, path ) || defaultText;
        }

        return {
          'load': load,
          'text': text
        };
      }
    ]
  );

