module.exports = function( resource, attributesSchema, methods ) {
  const testProperties = [
    'duplicate',
    'getAttribute',
    'getAttributesByAlias',
    'getKey'
  ].concat( methods || [] );

  test( 'should have the correct attributes', () => {
    const attributes = resource.getAttributes();

    expect( attributes ).
      toMatchObject( attributesSchema );
  } );
  describe( 'should have the correct methods', () => {
    const newResource = new resource();

    testProperties.forEach( ( property ) => {
      test( `includes ${property}`, () => {
        expect( newResource.hasOwnProperty( property ) ).
          toBe( true );
      } );
    } );
  } );
};
